# Output Module

**Project Name**: outputs

**Author**: Pinpe ([https://pinpe.top](https://pinpe.top))

**Encoding**: UTF-8

**License**: MIT License

**Dependencies**: `conkits` (optional)、`requests` (optional)

**Version**: 1.14 (2024-11-1)

**Description:**
This is a Python library designed to extend the functionality of CLI printing. The primary development focus is on logging features similar to `logging`, but it also includes other functionalities and supports a high-fidelity style for PinkShell.

**Advantages:**
- Simple to learn with support for some customization.
- All-in-one functionality that includes log output, loading text, color classes, cursor control, and more.
- Easy configuration without the need to alter your project structure.
- Extremely lightweight, consisting of a single file, and requires only two standard libraries and one optional third-party library.
- Fully open-source with no backdoors.
- Comprehensive error handling, type checking, and docstrings.

**Getting Started:**
1. Install by entering this command in your terminal: `pip install outputs`
2. Import the library into your program: `from outputs import *`

**Update Notes:**
- Added more emoji mappings.
- Added special character mappings.
- Add a docstring for each class.
- Add a docstring for each module.
- Add text formatting.